- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
AlpsNodeSelection Class Referenceabstract

`#include <AlpsSearchStrategy.h>`

Inheritance diagram for AlpsNodeSelection:
[legend]
Collaboration diagram for AlpsNodeSelection:
[legend]

## Public Member Functions
| AlpsNodeSelection ()
| Default Constructor. More...
virtual | ~AlpsNodeSelection ()
| Default Destructor. More...
virtual bool | compare (AlpsTreeNode *x, AlpsTreeNode *y)=0
| This returns true if the depth of node y is lesser than that of node x. More...
virtual AlpsTreeNode * | selectNextNode (AlpsSubTree *subTree)
virtual void | createNewNodes (AlpsSubTree *subTree, AlpsTreeNode *node)

## Detailed Description

Definition at line 49 of file AlpsSearchStrategy.h.

## Constructor & Destructor Documentation

AlpsNodeSelection::AlpsNodeSelection | ( |  | ) |
| inline

Default Constructor.

Definition at line 53 of file AlpsSearchStrategy.h.

virtual AlpsNodeSelection::~AlpsNodeSelection | ( |  | ) |
| inline virtual

Default Destructor.

Definition at line 56 of file AlpsSearchStrategy.h.

## Member Function Documentation

virtual bool AlpsNodeSelection::compare | ( | AlpsTreeNode * | x,
|  | AlpsTreeNode * | y
| ) |  |
| pure virtual

This returns true if the depth of node y is lesser than that of node x.

Implemented in AlpsNodeSelectionHybrid, AlpsNodeSelectionEstimate, AlpsNodeSelectionDepth, AlpsNodeSelectionBreadth, and AlpsNodeSelectionBest.

virtual AlpsTreeNode* AlpsNodeSelection::selectNextNode | ( | AlpsSubTree * | subTree | ) |
| virtual

Reimplemented in AlpsNodeSelectionHybrid.

virtual void AlpsNodeSelection::createNewNodes | ( | AlpsSubTree * | subTree,
|  | AlpsTreeNode * | node
| ) |  |
| virtual

Reimplemented in AlpsNodeSelectionHybrid.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Alps/src/AlpsSearchStrategy.h